package com.pcloud.book.record.dao.impl;

import com.pcloud.book.record.dao.MapDataDAO;
import com.pcloud.book.record.entity.MapData;
import com.pcloud.common.core.dao.BaseDaoImpl;
import java.util.List;
import org.springframework.stereotype.Repository;

/**
 * @ClassName com.pcloud.book.record.dao.impl.MapDataDAOImpl
 * @Author 吴博
 * @Description 地图渲染数据
 * @Date 2020/6/16 16:22
 * @Version 1.0
 **/

@Repository("mapDataDAO")
public class MapDataDAOImpl extends BaseDaoImpl<MapData> implements MapDataDAO {

    @Override
    public MapData selectByPrimaryKey(Long id) {
        return null;
    }

    @Override
    public int updateByPrimaryKeySelective(MapData record) {
        return 0;
    }

    @Override
    public int updateByPrimaryKeyWithBLOBs(MapData record) {
        return 0;
    }

    @Override
    public int updateByPrimaryKey(MapData record) {
        return 0;
    }
}